Package Details: gcalcli 4.3.0-1

Git Clone URL: https://aur.archlinux.org/gcalcli.git (read-only, click to copy)
Package Base: gcalcli
Description: Google calendar command line interface
Upstream URL: https://github.com/insanum/gcalcli
Licenses: MIT
Submitter: None
Maintainer: ainola
Last Packager: ainola
Votes: 116
Popularity: 0.58
First Submitted: 2007-10-03 21:45
Last Updated: 2020-06-02 18:35

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

polyzen commented on 2015-10-08 14:44

Will look into this soon. Probably will just package oauth2client 1.4.12 until gcalcli upstream is ready

Droggelbecher commented on 2015-10-08 06:25

Crashes for me right after a fresh install:



~ master M?% gcalcli calw
Traceback (most recent call last):
File "/usr/bin/gcalcli", line 2580, in <module>
BowChickaWowWow()
File "/usr/bin/gcalcli", line 2408, in BowChickaWowWow
allDay=FLAGS.allday
File "/usr/bin/gcalcli", line 605, in __init__
self._GetCached()
File "/usr/bin/gcalcli", line 730, in _GetCached
self._CalService().calendarList().list())
File "/usr/bin/gcalcli", line 686, in _CalService
http=self._GoogleAuth())
File "/usr/bin/gcalcli", line 675, in _GoogleAuth
storage)
File "/usr/lib/python2.7/site-packages/oauth2client/util.py", line 142, in positional_wrapper
return wrapped(*args, **kwargs)
TypeError: run_flow() takes at least 3 arguments (2 given)

polyzen commented on 2015-10-03 01:00

Great news, cube777.

According to upstream, with oauth2client 1.5.1 and this workaround, there will be issues with authentication.
https://github.com/insanum/gcalcli/pull/211#issuecomment-145176780

kobusvs commented on 2015-10-03 00:16

I got it working, had to remove python2 completely, seems like install from git repo earlier today screwed up python. Thanks for fixing gcalcli. It works great now!

polyzen commented on 2015-10-02 23:21

https://github.com/insanum/gcalcli/pull/211

polyzen commented on 2015-10-02 23:10

What command are you running? I don't have python2-anyjson installed -- try that and please share what you find.

With this change on both the release and master, `gcalcli agenda` is working.

kobusvs commented on 2015-10-02 22:09

Thanks for updating but still broken, gives error "ERROR: Missing module - No module named anyjson". I believe I might have had the same error earlier today trying to use it direct from the git repo.

polyzen commented on 2015-10-02 07:05

Fix coming tomorrow. It's 03:05

polyzen commented on 2015-10-01 21:11

It doesn't work with the new version of oauth2client, apparently. You might have to uninstall this, or something, in order to -Syu, currently. Have to poke gcalcli upstream.

~ > pacman -Q gcalcli python2-oauth2client
gcalcli 3.3.2-2
python2-oauth2client 1.5.1-1
~ > gcalcli
ERROR: Missing module - cannot import name run

kobusvs commented on 2015-10-01 20:50

Won't install with new update in official repos for python2-oauth2client